Results 1 to 4 of 4

Thread: 2.6.38 and Sandy Bridge graphics is troublesome.

  1. #1
    Join Date
    May 2008
    Posts
    4

    Default 2.6.38 and Sandy Bridge graphics is troublesome.

    So any distro I try that uses the 2.6.38 kernel (natty, Fedora15, Arch-Testing) seems to be unusable with any kind of 3d accelerated desktop on my i5-2500k. Opensuse 11.4 works fine since it uses 2.6.37, so does arch with 2.6.37. I'm kinda a newb, so I don't have a log or anything to post, but basically, X crashes as soon as I try any kind of mouse or keyboard input on a login manager (be it GDM or KDM). While everything works fine using 2.6.37 on arch,

    I'm worried about not being able to run most new desktop distros when they are released in the coming month. Anyone know anything about a regression that could be causing this?

    Thanks for Reading,
    -Mike

    P.S. On arch I've tried is using intel's 2.14 driver and 2.14.901, mesa 7.10, and xorg-server 1.9.4 and 1.10, none of which made any difference.

  2. #2
    Join Date
    May 2008
    Posts
    4

    Default Update

    So now when I try installing Ubuntu Natty, instead of booting up into Unity 3d, it dumps me into the 2d desktop. I take it this means that sandy bridge video on Natty has been blacklisted. I'm just hypothesizing here, but maybe this means that Sandy Bridge won't work on Natty Narwhal "out of the box" like I've seen claimed?

  3. #3
    Join Date
    Nov 2009
    Location
    Italy
    Posts
    998

    Default

    Desktop effects don't work for me too: http://phoronix.com/forums/showthrea...00K-Benchmarks

  4. #4
    Join Date
    Aug 2007
    Posts
    6,676

    Default

    Why don't override the blacklist and when it works report a bug in lauchpad?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •